package com.ruoyi.web.controller.system.count;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.service.ITdCheckService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.ArrayList;
import java.util.List;

/**
 * 涉密检查统计
 */
@Controller
@RequestMapping("/system/checknum")
public class TdChecknumController extends BaseController{
    private String prefix = "system/check/checknum";

    @Autowired
    private ITdCheckService tdCheckService;

    @RequiresPermissions("system:checknum:view")
    @GetMapping()
    public String checknum() {
        return prefix + "/checknum";
    }






}
